Package org.eclipse.viatra.query.runtime.matchers.psystem.aggregations

## Class BoundAggregator

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.psystem.aggregations.BoundAggregator

-     public class BoundAggregator
      extends java.lang.Object

  Augments an aggregator operator with type bindings for the type of values being aggregated and the aggregate result.

  In case of count, the operator should be null.

  Since:
    1.4

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BoundAggregator​(IMultisetAggregationOperator<?,​?,​?> operator, java.lang.Class<?> domainType, java.lang.Class<?> aggregateResultType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<?>` | `getAggregateResultType()` |
    `IInputKey` | `getAggregateResultTypeAsInputKey()` |
    `java.lang.Class<?>` | `getDomainType()` |
    `IInputKey` | `getDomainTypeAsInputKey()` |
    `IMultisetAggregationOperator<?,​?,​?>` | `getOperator()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoundAggregator

          public BoundAggregator​(IMultisetAggregationOperator<?,​?,​?> operator,
                                 java.lang.Class<?> domainType,
                                 java.lang.Class<?> aggregateResultType)

  - ### Method Detail

    - #### getOperator

          public IMultisetAggregationOperator<?,​?,​?> getOperator()

    - #### getDomainType

          public java.lang.Class<?> getDomainType()

    - #### getAggregateResultType

          public java.lang.Class<?> getAggregateResultType()

    - #### getDomainTypeAsInputKey

          public IInputKey getDomainTypeAsInputKey()

    - #### getAggregateResultTypeAsInputKey

          public IInputKey getAggregateResultTypeAsInputKey()